Skip to main content
`Ctrl`+`K`

# DMPlexSetIsoperiodicFaceSF

Express periodicity from an existing mesh

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexSetIsoperiodicFaceSF(DM dm, PetscInt num_face_sfs, PetscSF *face_sfs)

Logically Collective

## Input Parameters

- dm - The `DMPLEX` on which to set periodicity

- num_face_sfs - Number of `PetscSF`s in `face_sfs`

- face_sfs - Array of `PetscSF` in which roots are (owned) donor faces and leaves are faces that must be matched to a (possibly remote) donor face.

## Note

One can use `-dm_plex_shape zbox` to use this mode of periodicity, wherein the periodic points are distinct both globally and locally, but are paired when creating a global dof space.

## See Also

DMPlex: Unstructured Grids, `DMPLEX`, `DMGetGlobalSection()`, `DMPlexGetIsoperiodicFaceSF()`

## Level

advanced

## Location

src/dm/impls/plex/plexsfc.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages